=== debian/control ===
Source: ocaml-dyntype
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 libtype-conv-camlp4-dev,
 ocaml-native-compilers,
 camlp4-extra

Package: ocaml-dyntype
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax extension which makes OCaml types and values easier to manipulate programmatically
 syntax extension which makes OCaml types and values easier to
 manipulate programmatically

Package: ocaml-dyntype-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-dyntype (>= 0.9.0-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-dyntype
 The ocaml-dyntype-devel package contains libraries and signature
 files for developing applications that use ocaml-dyntype.
